Summary
Import backup documents
Description
Insert backup documents into the ucm_configs collection
Route
POST /configuration_manager/import/backups
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| backups |
array |
yes |
Array of device configs |
Copied to Clipboard
{
"backups": [
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "id non culpa dolore incididunt",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"e5d324973738c47ac6eb816c",
"909afdaa3e48396196611b3e"
],
"read": [
"d05f6ce51cc19b6cb8a8801b",
"95cde20bb257ff1e060c4444"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "dolore cupidatat anim elit tempor",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"65c1d9a8cc66d89e5118917c"
],
"read": [
"a0d8271a7d56572a53687584",
"ada5fdb505a62a91740999c2"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "velit exercitation ex dolor est",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"ea55f87bc2ff4d9bd9600e3a"
],
"read": [
"5e3ba6e9f60e4c7a6aac2f27",
"d480b6c047584b5a283a65c3",
"43bd8aa94697b7d5ccd0e57a"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "occaecat Lorem est",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"d515663eaea1b4c64856e54b",
"2c09c97ca37f950a155b585e",
"3396cf83cdb8ca731f98b216",
"1a6758432f360b9aa60b312f"
],
"read": [
"71a8ff8a46c32ab318e78e03"
]
}
}
]
}
Copied to Clipboard
{
"type": "object",
"properties": {
"backups": {
"title": "backups",
"type": "array",
"items": {
"$ref": "deviceData#/definitions/backup"
}
}
},
"required": [
"backups"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| status |
object |
Status of backup import operation |
Copied to Clipboard
{
"status": "success",
"message": "quis ex Excepteur"
}
Copied to Clipboard
{
"title": "status",
"type": "object",
"properties": {
"status": {
"type": "string",
"const": "success"
},
"message": {
"type": "string",
"example": "2 device backups imported successfully"
}
}
}